Bug 864676 - [abrt] guake-0.4.4-4.fc17: guake:463:configure_terminal:TypeError: Vte.Terminal.set_word_chars() argument 1 must be string, not None [NEEDINFO]
[abrt] guake-0.4.4-4.fc17: guake:463:configure_terminal:TypeError: Vte.Termin...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: guake (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pierre-YvesChibon
Fedora Extras Quality Assurance
abrt_hash:093a611a8994fd2d5eec12dbc6e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-09 18:13 EDT by jb.alexandre
Modified: 2012-11-02 10:46 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-02 10:46:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pingou: needinfo?


Attachments (Terms of Use)
File: core_backtrace (516 bytes, text/plain)
2012-10-09 18:13 EDT, jb.alexandre
no flags Details

  None (edit)
Description jb.alexandre 2012-10-09 18:13:25 EDT
Version-Release number of selected component:
guake-0.4.4-4.fc17

Additional info:
libreport version: 2.0.14
abrt_version:   2.0.13
cmdline:        python /usr/bin/guake
kernel:         3.5.5-2.fc17.x86_64

backtrace:
:guake:463:configure_terminal:TypeError: Vte.Terminal.set_word_chars() argument 1 must be string, not None
:
:Traceback (most recent call last):
:  File "/usr/bin/guake", line 1447, in <module>
:    if not main():
:  File "/usr/bin/guake", line 1391, in main
:    instance = Guake()
:  File "/usr/bin/guake", line 631, in __init__
:    self.add_tab()
:  File "/usr/bin/guake", line 1198, in add_tab
:    box = GuakeTerminalBox()
:  File "/usr/bin/guake", line 513, in __init__
:    self.terminal = GuakeTerminal()
:  File "/usr/bin/guake", line 453, in __init__
:    self.configure_terminal()
:  File "/usr/bin/guake", line 463, in configure_terminal
:    self.set_word_chars(word_chars)
:TypeError: Vte.Terminal.set_word_chars() argument 1 must be string, not None
:
:Local variables in innermost frame:
:self: <GuakeTerminal object at 0x2dcad70 (VteTerminal at 0x2e6ca50)>
:client: <gconf.Client object at 0x2dcab40 (GConfClient at 0x2e0b920)>
:word_chars: None
Comment 1 jb.alexandre 2012-10-09 18:13:28 EDT
Created attachment 624292 [details]
File: core_backtrace
Comment 2 jb.alexandre 2012-10-09 18:16:30 EDT
It can be reproduced simply by executing it!

Package: guake-0.4.4-4.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 3 Pierre-YvesChibon 2012-10-10 01:17:34 EDT
You can reproduce it every time ?

Note You need to log in before you can comment on or make changes to this bug.